# class Exception

Exception serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by constructing new Exception object with message `m` and backtrace `b` serialized with `to_json`

    # File lib/json/add/exception.rb, line 10
    def self.json_create(object)
      result = new(object['m'])
      result.set_backtrace object['b']
      result
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/exception.rb, line 18
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'm'            => message,
        'b'            => backtrace,
      }
    end

to_json(*args) click to toggle source

Stores class name (Exception) with message `m` and backtrace array `b` as JSON string

    # File lib/json/add/exception.rb, line 28
    def to_json(*args)
      as_json.to_json(*args)
    end